import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? v(t, r) : t, s = c.length - 1, o; s >= 0; s--)
    (o = c[s]) && (e = (i ? o(t, r, e) : o(e)) || e);
  return i && e && m(t, r, e), e;
};
let l = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--bikeFilled", this.class = "c-pieIcon c-pieIcon--bikeFilled", this.name = "IconBikeFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--bikeFilled"><path d="m12.138 7.405-1.129-3.247c0-.113 0-.227.166-.28l1.2-.446v-1.4l-1.628.613a1.523 1.523 0 0 0-.998 1.933l.359 1.015h-.359a2.43 2.43 0 0 0-1.925.963l-1.207 1.61-1.06-2.135h.692V4.718h-3.5v1.313h1.348l.717 1.461a2.9 2.9 0 0 0-.735-.105 2.826 2.826 0 1 0 2.826 2.818v-.201l1.97-2.66a1.11 1.11 0 0 1 .874-.438h.832l.253.717a2.844 2.844 0 1 0 1.313-.218z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  f("icon-bike-filled")
], l);
export {
  l as IconBikeFilled
};
